1K+
Downloads
Content rating
Everyone
Screenshot image
Screenshot image
Screenshot image
Screenshot image

About this app

This App is specifically for use in conjunction with the NasaMarine Bluetooth LE Battery Monitor Device, and has no function without it. Bluetooth LE requires Android 4.3 or better. A description of its scope is contained within the manual for the associated hardware device. See www.nasamarine.com
Updated on
19 Aug 2022

Data safety

Safety starts with understanding how developers collect and share your data. Data privacy and security practices may vary based on your use, region and age The developer provided this information and may update it over time.
No data shared with third parties
Learn more about how developers declare sharing
No data collected
Learn more about how developers declare collection

What's new

This version targets Android 12 and supports Android 6 upwards. Online help link added.